Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364863 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000010 [vmwgfx]
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4cafb549d78211609077b7cdaca...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 04:40 UTC by Ricardo Ramos
Modified: 2016-09-25 19:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-25 19:38:31 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-08-08 04:40 UTC, Ricardo Ramos
no flags Details

Description Ricardo Ramos 2016-08-08 04:40:05 UTC
Description of problem:
Fedora 23 was loading up inside a virtual machine using VMware.

Additional info:
reporter:       libreport-2.6.4
BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
IP: [<ffffffffc0141d45>] vmw_stdu_dmabuf_fifo_commit+0x75/0x150 [vmwgfx]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: uas usb_storage rfcomm fuse ip_set nfnetlink bridge stp llc bnep vmw_vsock_vmci_transport vsock intel_soc_dts_iosf coretemp kvm_intel kvm ppdev snd_seq_midi snd_seq_midi_event irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel vmw_balloon snd_ens1371 btusb gameport btrtl btbcm snd_rawmidi btintel snd_ac97_codec bluetooth ac97_bus snd_seq joydev snd_seq_device snd_pcm rfkill snd_timer snd soundcore vmw_vmci i2c_piix4 shpchp nfit parport_pc parport acpi_cpufreq tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc vmwgfx drm_kms_helper serio_raw ttm drm mptspi e1000 scsi_transport_spi mptscsih mptbase ata_generic pata_acpi fjes [last unloaded: ip6_tables]
CPU: 0 PID: 27062 Comm: plymouthd Not tainted 4.6.4-201.fc23.x86_64 #1
Hardware name: VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform, BIOS 6.00 07/02/2015
task: ffff880028219d40 ti: ffff88004ac3c000 task.ti: ffff88004ac3c000
RIP: 0010:[<ffffffffc0141d45>]  [<ffffffffc0141d45>] vmw_stdu_dmabuf_fifo_commit+0x75/0x150 [vmwgfx]
RSP: 0018:ffff88004ac3fa70  EFLAGS: 00010202
RAX: 0000000000000000 RBX: ffff88004ac3fbb8 RCX: 0000000000000000
RDX: ffff8800363d4000 RSI: ffff880002c41848 RDI: ffff88001018c898
RBP: ffff88004ac3faa0 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: ffff880002c41840
R13: 0000000000000024 R14: ffff880002c41888 R15: 0000000000000030
FS:  00007f994e971700(0000) GS:ffff88005be00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000010 CR3: 0000000050f56000 CR4: 00000000001006f0
Stack:
 ffff8800363d4000 ffff88004ac3fbb8 ffff8800030bb020 0000000000000001
 0000000000000010 0000000000000000 ffff88004ac3fb78 ffffffffc012ca4f
 ffff880057d80000 0000000000000000 000000014ac3fb40 0000000000000000
Call Trace:
 [<ffffffffc012ca4f>] vmw_kms_helper_dirty+0x2bf/0x340 [vmwgfx]
 [<ffffffffc01280c8>] ? vmw_validate_single_buffer+0x38/0x80 [vmwgfx]
 [<ffffffffc014292f>] vmw_kms_stdu_dma+0xff/0x1b0 [vmwgfx]
 [<ffffffffc0141cd0>] ? vmw_kms_stdu_surface_fifo_commit+0xe0/0xe0 [vmwgfx]
 [<ffffffffc0141f10>] ? vmw_stdu_connector_destroy+0x20/0x20 [vmwgfx]
 [<ffffffffc012a08e>] vmw_framebuffer_dmabuf_dirty+0x1ae/0x200 [vmwgfx]
 [<ffffffffc0090dde>] drm_mode_dirtyfb_ioctl+0xee/0x180 [drm]
 [<ffffffffc0081982>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffff814c5426>] ? tty_mode_ioctl+0x2d6/0x4f0
 [<ffffffffc0090cf0>] ? drm_mode_getfb+0xe0/0xe0 [drm]
 [<ffffffff810dc553>] ? update_curr+0xf3/0x180
 [<ffffffffc012d688>] vmw_generic_ioctl+0x178/0x280 [vmwgfx]
 [<ffffffffc0081830>] ? drm_getmap+0xe0/0xe0 [drm]
 [<ffffffffc012d7c5>] vmw_unlocked_ioctl+0x15/0x20 [vmwgfx]
 [<ffffffff8125b721>] do_vfs_ioctl+0xa1/0x5a0
 [<ffffffff817d5dbd>] ? __schedule+0x2ed/0x790
 [<ffffffff8125bc99>] SyS_ioctl+0x79/0x90
 [<ffffffff817da3b2>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Code: 8d 74 2c 24 41 89 c7 83 c0 1c 41 89 44 24 04 48 8b 7f 68 e8 6e 74 ff ff 8b 43 64 48 8b 55 d0 41 89 44 24 10 48 8b 82 50 08 00 00 <8b> 40 10 41 c7 44 24 18 00 00 00 00 41 c7 44 24 1c 00 00 00 00 
RIP  [<ffffffffc0141d45>] vmw_stdu_dmabuf_fifo_commit+0x75/0x150 [vmwgfx]
 RSP <ffff88004ac3fa70>
CR2: 0000000000000010

Comment 1 Ricardo Ramos 2016-08-08 04:40:18 UTC
Created attachment 1188533 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:44:12 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Ricardo Ramos 2016-09-25 05:50:08 UTC
(In reply to Laura Abbott from comment #2)
> *********** MASS BUG UPDATE **************
>  
> We apologize for the inconvenience.  There is a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 23 kernel bugs.
>  
> Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
>  
> If you have moved on to Fedora 24 or 25, and are still experiencing this
> issue, please change the version to Fedora 24 or 25.
>  
> If you experience different issues, please open a new bug report for those.

Hello again, Thank you for your comment, like I said on the other bug I was using fedora 23 in a virtual machine on VMware when I reported this bug but I already deleted that virtual machine, I'm currently using Fedora 23 but in a real hardware and I haven't experienced any bug errors like this so far so in this case if you want or if it's necessary you can close this bug. By the way, I was wondering why I didn't receive an email notifying your comment, if it's not because I remembered to check this website I wouldn't notice about your comment.


Note You need to log in before you can comment on or make changes to this bug.